<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Relatório de pagamentos</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">

    <style>
        form {
            display:flex;
            align-items: center;
            justify-content: space-between;
        }
        .form-group p {
            color:#aaa;
            font-size: 12px
        }
        form button {
            font-size: 18px;
            height: 80px;
            padding: 10px 25px;
        }
    </style>
</head>
<body>

    <h1>Pagamentos</h1>
    <form action="{% url 'payment_filter' %}" method="POST">
        {% csrf_token %}
        <div class="form-group">
            <label for="">De: </label>
            <input type="date" name="data_inicio" placeholder="dd/mm/yyyy" />
            <p>Deixe em branco para ignorar</p>
        </div>
        <div class="form-group">
            <label for="">Até: </label>
            <input type="date" name="data_fim" placeholder="dd/mm/yyyy" />
            <p>Deixe em branco para ignorar</p>
        </div>
        <div class="form-group">
            <label for="">Valor Mínimo: </label>
            <input type="number" name="valor_minimo" value="0" />
            <p>use "0" para ignorar</p>
        </div>
        <div class="form-group">
            <label for="">Valor Máximo: </label>
            <input type="number" name="valor_maximo"value="0" />
            <p>Use "0" para ignorar</p>
        </div>
        <div class="form-group">
            <label for="">Status: </label>
            <select name="status">
                <option value="">Todos</option>
                <option value="pendente">Pendentes</option>
                <option value="pago">Pagos</option>
                <option value="vencido">Vencidos</option>
            </select>
        </div>
        <button type="submit">Filtrar</button>
    </form>

    <h3>Total em faturas R$ {{ total }}</h3>
    <table class="table">
    <thead>
        <tr>
        <th>Id</th>
        <th>Description</th>
        <th>Last Update</th>
        <th>Value</th>
        <th>Status</th>
        </tr>
    </thead>
    <tbody>
        {% for payment in object_list %}
        <tr>
            <td>{{ payment.id }}</td>
            <td>{{ payment.description }}</td>
            <td>{{ payment.lastUpdate }}</td>
            <td>{{ payment.value }}</td>
            <td>{{ payment.status }}</td>
        </tr>
        {% endfor %}
    </tbody>
    </table>

</body>
</html>
